package com.microservices.pms.project.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.microservices.common.core.annotation.Excel;
import com.microservices.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 项目-代码库对象 pms_project_repository
 * 
 * @author wanjia
 * @date 2023-10-11
 */
public class PmsProjectRepository extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 项目管理项目ID */
    @Excel(name = "项目管理项目ID")
    private Long pmsProjectId;

    /** 项目关联的仓库id */
    @Excel(name = "项目关联的仓库id")
    private Long projectRepositoryId;

    /** 是否置顶 0不置顶 1置顶 */
    @Excel(name = "是否置顶 0不置顶 1置顶")
    private Integer isTop;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateTime;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDeleted;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    @JsonIgnore
    private String reservedField1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    @JsonIgnore
    private String reservedField2;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPmsProjectId(Long pmsProjectId) 
    {
        this.pmsProjectId = pmsProjectId;
    }

    public Long getPmsProjectId() 
    {
        return pmsProjectId;
    }
    public void setProjectRepositoryId(Long projectRepositoryId) 
    {
        this.projectRepositoryId = projectRepositoryId;
    }

    public Long getProjectRepositoryId() 
    {
        return projectRepositoryId;
    }
    public void setIsTop(Integer isTop) 
    {
        this.isTop = isTop;
    }

    public Integer getIsTop() 
    {
        return isTop;
    }
    public void setCreateTime(Date createTime)
    {
        this.createTime = createTime;
    }

    public Date getCreateTime()
    {
        return createTime;
    }
    public void setUpdateTime(Date updateTime)
    {
        this.updateTime = updateTime;
    }

    public Date getUpdateTime()
    {
        return updateTime;
    }
    public void setIsDeleted(Integer isDeleted) 
    {
        this.isDeleted = isDeleted;
    }

    public Integer getIsDeleted() 
    {
        return isDeleted;
    }
    public void setReservedField1(String reservedField1) 
    {
        this.reservedField1 = reservedField1;
    }

    public String getReservedField1() 
    {
        return reservedField1;
    }
    public void setReservedField2(String reservedField2) 
    {
        this.reservedField2 = reservedField2;
    }

    public String getReservedField2() 
    {
        return reservedField2;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("pmsProjectId", getPmsProjectId())
                .append("projectRepositoryId", getProjectRepositoryId())
                .append("isTop", getIsTop())
                .append("createdAt", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updatedAt", getUpdateTime())
                .append("isDeleted", getIsDeleted())
                .append("reservedField1", getReservedField1())
                .append("reservedField2", getReservedField2())
                .toString();
    }
}
